////////////////////////////////////////////////////////////////////////////////
// The BrowserStopAll() function references every tab in the current window
// and stops each tab from loading.
////////////////////////////////////////////////////////////////////////////////
function BrowserStopAll()
{
	var num = gBrowser.browsers.length;
	for (var i = 0; i < num; i++) {
	  var b = gBrowser.getBrowserAtIndex(i);
	  try {
	    const stopFlags = nsIWebNavigation.STOP_ALL;
	    b.stop(stopFlags);
	  } catch(e) {
	    Components.utils.reportError(e);
	  }
	}
}

////////////////////////////////////////////////////////////////////////////////
// The BrowserLoadAll() function reloads every tab in the current window.
////////////////////////////////////////////////////////////////////////////////
function BrowserLoadAll()
{
	var num = gBrowser.browsers.length;
	for (var i = 0; i < num; i++) {
	  var b = gBrowser.getBrowserAtIndex(i);
	  try {
	    const loadFlags = nsIWebNavigation.LOAD_FLAGS_NONE;
	    b.reload(loadFlags);
	  } catch(e) {
	    Components.utils.reportError(e);
	  }
	}
}
